aboutsummaryrefslogtreecommitdiffstats
path: root/config/countryblock/execute.sh
diff options
context:
space:
mode:
authorTom Schaefer <tom@tomschaefer.org>2010-10-06 01:50:20 -0400
committerTom Schaefer <tom@tomschaefer.org>2010-10-06 01:50:20 -0400
commit2f813641d14c2bd5fdc7a8b789ac61f83ba0857a (patch)
tree3a64df572cc5156c1ee123de9dfe4011318ab3d2 /config/countryblock/execute.sh
parentc01d3baba7d098f7f46a43dd1ec732e8196c4095 (diff)
downloadpfsense-packages-2f813641d14c2bd5fdc7a8b789ac61f83ba0857a.tar.gz
pfsense-packages-2f813641d14c2bd5fdc7a8b789ac61f83ba0857a.tar.bz2
pfsense-packages-2f813641d14c2bd5fdc7a8b789ac61f83ba0857a.zip
ver1.8 email notifications and new cron script
Diffstat (limited to 'config/countryblock/execute.sh')
-rwxr-xr-xconfig/countryblock/execute.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/config/countryblock/execute.sh b/config/countryblock/execute.sh
index c51cf99e..41f6d2cf 100755
--- a/config/countryblock/execute.sh
+++ b/config/countryblock/execute.sh
@@ -1,4 +1,17 @@
#!/bin/sh
+
+#is countryblock running
+#export resultr=`pfctl -s rules | grep -c countryblock`
+#echo $resultr
+#if [ "$resultr" -gt "0" ]; then
+# echo running
+# exit 1
+#else
+# echo not running
+# /usr/bin/logger -s "Countryblock was found not running"
+# echo "Countryblock not running" | /usr/local/bin/php /usr/local/www/packages/countryblock/email_send.php
+#fi
+
pfctl -t countryblock -T kill
sed -i -e '/countryblock/d' /tmp/rules.debug
@@ -68,4 +81,4 @@ mv /tmp/rules.debug /tmp/rules.debug.old
mv /tmp/rules.debug.tmp /tmp/rules.debug
rm errorOUT.txt
-pfctl -o basic -f /tmp/rules.debug > errorOUT.txt 2>&1
+pfctl -o basic -f /tmp/rules.debug > /usr/local/www/packages/countryblock/errorOUT.txt 2>&1